Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable Class Reference

Inheritance diagram for TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable:

[legend]
Collaboration diagram for TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable:

[legend]
List of all members.

## Public Methods
const TAO_operation_db_entry * | lookup (const char *str, unsigned int len)
## Private Methods
unsigned int | hash (const char *str, unsigned int len)

## Member Function Documentation

unsigned int TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable::hash | ( | const char * | str,
|  | unsigned int | len
| ) | `[private, virtual]`

| Implements TAO_Perfect_Hash_OpTable.

const class TAO_operation_db_entry * TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable::lookup | ( | const char * | str,
|  | unsigned int | len
| ) | `[virtual]`

| Implements TAO_Perfect_Hash_OpTable.

The documentation for this class was generated from the following file:

- ImR_LocatorS.cpp